## cascading.tap.hadoop.util
Class TempHfs

    java.lang.Object
      cascading.tap.Tap<JobConf,RecordReader,OutputCollector>
          cascading.tap.hadoop.Hfs
              cascading.tap.hadoop.util.TempHfs

All Implemented Interfaces:
  FlowElement, FileType<JobConf>, Traceable, Serializable

    public class TempHfs

extends Hfs

Class TempHfs creates a temporary `Tap` instance for use internally.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.tap.hadoop.Hfs
`stringPath, TEMPORARY_DIRECTORY`

Constructor Summary
`TempHfs(JobConf conf, String name, boolean isNull)` Constructor TempHfs creates a new TempHfs instance.
`TempHfs(JobConf conf, String name, Class<? extends Scheme> schemeClass)` Constructor TempDfs creates a new TempDfs instance.
`TempHfs(JobConf conf, String name, Class<? extends Scheme> schemeClass, boolean unique)`

Method Summary
`boolean` `equals(Object object)`
`Class<? extends Scheme>` `getSchemeClass()`
`int` `hashCode()`
`boolean` `isTemporary()`
`Scope` `outgoingScopeFor(Set<Scope> incomingScopes)`
`String` `toString()`

Methods inherited from class cascading.tap.hadoop.Hfs

`applySourceConfInitIdentifiers, createResource, deleteChildResource, deleteResource, getBlockSize, getChildIdentifiers, getChildIdentifiers, getCombinedInputSafeMode, getDefaultFileSystem, getDefaultFileSystemURIScheme, getFileSystem, getFullIdentifier, getIdentifier, getLocalModeScheme, getModifiedTime, getPath, getReplication, getSize, getTemporaryDirectory, getTempPath, getURIScheme, getUseCombinedInput, isDirectory, makeTemporaryPathDirString, makeURIScheme, openForRead, openForWrite, resourceExists, setStringPath, setTemporaryDirectory, setUriScheme, sinkConfInit, sourceConfInit, sourceConfInitAddInputPath, sourceConfInitComplete, verifyNoDuplicates`

Methods inherited from class cascading.tap.Tap

`commitResource, createResource, deleteResource, flowConfInit, getConfigDef, getFullIdentifier, getModifiedTime, getScheme, getSinkFields, getSinkMode, getSourceFields, getStepConfigDef, getTrace, hasConfigDef, hasStepConfigDef, id, isEquivalentTo, isKeep, isReplace, isSink, isSource, isUpdate, openForRead, openForWrite, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, retrieveSinkFields, retrieveSourceFields, rollbackResource, setScheme, taps`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TempHfs

    public TempHfs(JobConf conf,
                   String name,
                   boolean isNull)

  Constructor TempHfs creates a new TempHfs instance.

  Parameters:
    `name` - of type String
    `isNull` - of type boolean

### TempHfs

    public TempHfs(JobConf conf,
                   String name,
                   Class<? extends Scheme> schemeClass)

  Constructor TempDfs creates a new TempDfs instance.

  Parameters:
    `name` - of type String

### TempHfs

    public TempHfs(JobConf conf,
                   String name,
                   Class<? extends Scheme> schemeClass,
                   boolean unique)

Method Detail

### getSchemeClass

    public Class<? extends Scheme> getSchemeClass()

### outgoingScopeFor

    public Scope outgoingScopeFor(Set<Scope> incomingScopes)

  Specified by:
    `outgoingScopeFor` in interface `FlowElement`
  Overrides:
    `outgoingScopeFor` in class `Tap<JobConf,RecordReader,OutputCollector>`

### isTemporary

    public boolean isTemporary()

  Overrides:
    `isTemporary` in class `Tap<JobConf,RecordReader,OutputCollector>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Tap<JobConf,RecordReader,OutputCollector>`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Tap<JobConf,RecordReader,OutputCollector>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Tap<JobConf,RecordReader,OutputCollector>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.